
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  public class RG_TextureDistortion:RG_ImageProcessor
  {
    public readonly CompositorEffectGraphTextureSlot distortion;
    public readonly CompositorEffectGraphTextureSlot mask;

    public static readonly string shaderPath = 
      RDGraph.Path( "Nodes/Processors/Distortion/TextureDistortion/TextureDistortion.glsl" );

    public RG_TextureDistortion( RDGraph graph ):base( graph, shaderPath )
    {
      distortion = new CompositorEffectGraphTextureSlot( this );
      mask = new CompositorEffectGraphTextureSlot( this );

      _textureSlots.Add( distortion );
      _textureSlots.Add( mask );
    } 

    public void SetDistortionTextureSlotInputs( RDGraphTextureSlotInput distortionSlot, RDGraphTextureSlotInput maskSlot )
    {
      distortionSlot.ConnectTo( distortion );
      maskSlot.ConnectTo( mask );
    }

    
  }
}